Subject: RE: "start" for Cygwin
From: "Stephan Mueller" <[email-masked]>
To: "Charles Wilson" <[email-masked]>, "Robert Collins" <[email-masked]>
Cc: "Michael Schaap" <[email-masked]>, <[email-masked]>
Date: Sat, 2 Mar 2002 22:21:02 -0800

Note though, that on Win9x, start is a standalone file (I forget if it's
start.exe or start.com) on the path.
Cygwin still supports 9x, so fears about consternation in some quarters
still apply (it's just that they're different quarters than Charles
originally had in mind :-)

stephan();

-----Original Message-----
From: Charles Wilson [mailto:[email-masked]] 
Sent: Saturday, March 02, 2002 10:16 PM
To: Robert Collins
Cc: Michael Schaap; [email-masked]
Subject: Re: "start" for Cygwin

Ah -- and that explains why one previously had to do "cmd /c start foo" 
from a bash shell.  Okay, according to my tests (I put a 'start' shell 
script in my /usr/bin directory.)  From bash, 'start foo' causes my 
script to run.  From cmd, 'start foo' causes the builtin cmd command to 
run (even tho D:/cygwin/bin is in the front of my PATH).

This is good -- I withdraw my objection (such as it was).

Anybody else think this is a good cygutil?  I think it *probably* is...

--Chuck

Robert Collins wrote:

> Start is a cmd builtin - there is no start.exe
> 
> Rob
> 
> 
> 
> 
>>-----Original Message-----
>>From: Charles Wilson [mailto:[email-masked]]
>>
> Anyway, I personally have no objection to including start in cygutils 
> --
> 
> but the sudden appearance of a 'start.exe' command in /usr/bin (which
> could hide WINNT/start.exe) may cause consternation in some quarters.
> 
> FYI, I've just completed the following HOW-TO-CONTRIBUTE (to cygutils)
> document.  It will show up in /usr/doc/cygutils-X.Y.Z/ in the next 
> release of cygutils.
> 
> --Chuck
> 
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/